<template>
  <web-view :src="url"></web-view>
</template>

<script>
  import {
    mapState
  } from "vuex";
  export default {
    data() {
      return {
        content: "",
        url: null
      }
    },
    computed: {
      ...mapState(["user", "appTheme"]),
    },
    onLoad(option) {
      // 导航栏颜色
      uni.setNavigationBarColor({
        frontColor: '#ffffff',
        backgroundColor: this.appTheme,
      })
      if (option.url) {
        this.url = option.url
      } else {
        this.url = null
      }

    },
    methods: {

    }
  }
</script>

<style scoped>

</style>